Bug 60471 - add grsecurity patches to kernel
add grsecurity patches to kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 19:25 EST by Christopher McCrory
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 11:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2002-02-27 19:25:21 EST
Description of Problem:

grsecurity (http://www.grsecurity.net/features.htm) has a collection of security
enhancements to the linux kernel.  It seems all (most?) are available as "not
enabled by default", add via sysctl and/or /proc.  

Version-Release number of selected component (if applicable):
 

How Reproducible:
N/A

Steps to Reproduce:
1. N/A 
2. 
3. 

Actual Results:
none

Expected Results:


Additional Information:
	
IMHO, this "would be cool"
Comment 1 Arjan van de Ven 2002-02-28 03:04:54 EST
it looks cool. unfortionatly quite a few of these "security" things either don't
actually improve security or actually open new holes. (remember the MSVC++ thing
a few weeks ago, the same is true for some of the linux security patches).....
If something truely works it actually will be included into the mainline kernel.
(and obviously in the RHL kernel)
Comment 2 Michael K. Johnson 2003-02-19 11:56:56 EST
I'm closing this because we don't expect to use grsecurity,
but we'll still look at some of the other security patches,
so the general idea behind the request we'll still be looking
at, so even though it's closed it doesn't mean we won't end
up providing what you want...

Note You need to log in before you can comment on or make changes to this bug.